Raritan PX2/PX3 JSON-RPC API: pdumodel::OverCurrentProtectorTripSensor_1_0_5 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Public Member Functions | Public Attributes | List of all members
pdumodel::OverCurrentProtectorTripSensor_1_0_5 Interface Reference

Overcurrent protector trip sensor interface. More...

`import"OverCurrentProtectorTripSensor.idl";`

Inheritance diagram for pdumodel::OverCurrentProtectorTripSensor_1_0_5:

## Public Member Functions
Outlet_2_1_5 | getTripCause ()
| Get the outlet that is most likely to have caused the last OCP trip. More...
Public Member Functions inherited from sensors::StateSensor_4_0_3
State | getState ()
| Get the sensor state. More...
Public Member Functions inherited from sensors::Sensor_4_0_3
TypeSpec | getTypeSpec ()
| Retrieve the sensor type specification. More...
int | setType (in int type, in int unit)
| Set sensor type and unit. More...

## Public Attributes
valueobject | TripStateChangedEvent: sensors::StateSensor_4_0_3.StateChangedEvent { Outlet_2_1_5 tripCause
| Event: Overcurrent protector trip state has changed.
Public Attributes inherited from sensors::StateSensor_4_0_3
valueobject | StateChangedEvent: idl::Event { State oldState
State | newState
Public Attributes inherited from sensors::Sensor_4_0_3
constant int | ERR_NOT_SUPPORTED = 1
| The operation is not supported.
constant int | NUMERIC = 0
| Sensor reading type
constant int | DISCRETE_ON_OFF = 1
constant int | DISCRETE_MULTI = 2
constant int | UNSPECIFIED = 0
| Sensor type
constant int | VOLTAGE = 1
constant int | CURRENT = 2
constant int | UNBALANCE_CURRENT = 3
constant int | POWER = 4
constant int | POWER_FACTOR = 5
constant int | ENERGY = 6
constant int | FREQUENCY = 7
constant int | TEMPERATURE = 8
constant int | HUMIDITY = 9
constant int | AIR_FLOW = 10
constant int | AIR_PRESSURE = 11
constant int | CONTACT_CLOSURE = 12
constant int | ON_OFF_SENSOR = 13
constant int | TRIP_SENSOR = 14
constant int | VIBRATION = 15
constant int | WATER_LEAK = 16
constant int | SMOKE_DETECTOR = 17
constant int | TOTAL_HARMONIC_DISTORTION = 18
constant int | MASS = 19
constant int | ELECTRICAL_RESISTANCE = 20
constant int | FLUX = 21
constant int | LUMINOUS_INTENSITY = 22
constant int | ACCELERATION = 23
constant int | MAGNETIC_FLUX_DENSITY = 24
constant int | ELECTRIC_FIELD_STRENGTH = 25
constant int | MAGNETIC_FIELD_STRENGTH = 26
constant int | ANGLE = 27
constant int | SELECTION = 28
constant int | FAULT_STATE = 29
constant int | POWER_QUALITY = 30
constant int | ROTATIONAL_SPEED = 31
constant int | LUMINOUS_ENERGY = 32
constant int | LUMINOUS_FLUX = 33
constant int | ILLUMINANCE = 34
constant int | LUMINOUS_EMITTANCE = 35
constant int | MOTION = 36
constant int | OCCUPANCY = 37
constant int | TAMPER = 38
constant int | DRY_CONTACT = 39
constant int | POWERED_DRY_CONTACT = 40
constant int | ABSOLUTE_HUMIDITY = 41
constant int | DOOR_STATE = 42
constant int | DOOR_LOCK_STATE = 43
constant int | DOOR_HANDLE_LOCK = 44
constant int | CREST_FACTOR = 45
constant int | NONE = 0
| Sensor unit
constant int | VOLT = 1
constant int | AMPERE = 2
constant int | WATT = 3
constant int | VOLT_AMP = 4
constant int | WATT_HOUR = 5
constant int | VOLT_AMP_HOUR = 6
constant int | DEGREE_CELSIUS = 7
constant int | HZ = 8
constant int | PERCENT = 9
constant int | METER_PER_SEC = 10
constant int | PASCAL = 11
constant int | G = 12
constant int | RPM = 13
constant int | METER = 14
constant int | HOUR = 15
constant int | MINUTE = 16
constant int | SECOND = 17
constant int | VOLT_AMP_REACTIVE = 18
constant int | VOLT_AMP_REACTIVE_HOUR = 19
constant int | GRAM = 20
constant int | OHM = 21
constant int | LITERS_PER_HOUR = 22
constant int | CANDELA = 23
constant int | METER_PER_SQARE_SEC = 24
constant int | TESLA = 25
constant int | VOLT_PER_METER = 26
constant int | VOLT_PER_AMPERE = 27
constant int | DEGREE = 28
constant int | DEGREE_FAHRENHEIT = 29
constant int | KELVIN = 30
constant int | JOULE = 31
constant int | COULOMB = 32
constant int | NIT = 33
constant int | LUMEN = 34
constant int | LUMEN_SECOND = 35
constant int | LUX = 36
constant int | PSI = 37
constant int | NEWTON = 38
constant int | FOOT = 39
constant int | FOOT_PER_SEC = 40
constant int | CUBIC_METER = 41
constant int | RADIANT = 42
constant int | STERADIANT = 43
constant int | HENRY = 44
constant int | FARAD = 45
constant int | MOL = 46
constant int | BECQUEREL = 47
constant int | GRAY = 48
constant int | SIEVERT = 49
constant int | G_PER_CUBIC_METER = 50
valueobject | TypeSpecChangedEvent: idl::Event { TypeSpec oldTypeSpec
| Event: The type specification of the sensor changed. More...
TypeSpec | newTypeSpec
| Type specification after change.

## Additional Inherited Members
Public Types inherited from sensors::Sensor_4_0_3
enum | OnOffState { OFF, ON }
| Sensor states for DISCRETE_ON_OFF sensors. More...
enum | OpenClosedState { OPEN, CLOSED }
enum | NormalAlarmedState { NORMAL, ALARMED }
enum | OkFaultState { OK, FAULT }

## Detailed Description

Overcurrent protector trip sensor interface.

## Member Function Documentation

## ◆ getTripCause()

Outlet_2_1_5 pdumodel::OverCurrentProtectorTripSensor_1_0_5::getTripCause | ( |  | ) |

Get the outlet that is most likely to have caused the last OCP trip.

Returns
  The outlet that most likely caused the OCP to trip. If either the OCP is not currently tripped or no outlet can be determined to have caused the trip, null is returned.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/OverCurrentProtectorTripSensor.idl